<!-- Signup Page Component -->
<div class="Global-Signup-Page">

  <!-- Page Header-->
  <div class="Header">
    <h1> Greetings! </h1>
  </div>


<!-- Signup Card Area -->
<div class="Card">

  <!-- Signup Form -->
  <form [formGroup]="signupForm" (ngSubmit)="onSubmit()">

    <!-- Email Input Area -->
    <label for="email">Email: </label><br>
    <input id="email" type="text" formControlName="email">

    <!-- Email Validation messages -->
    <div class="invalid-feedback"
     *ngIf="(submitted && signupForm.controls.email.errors) || (!signupForm.controls.email.pristine && signupForm.controls.email.invalid)">
      <div *ngIf="signupForm.controls.email.errors!.required">Email is required</div>
      <div *ngIf="signupForm.controls.email.errors!.pattern">Enter valid email</div>
    </div><br>


    <!-- Password Input Area -->
    <label for="password">Password: </label><br>
    <input id="password" type="text" formControlName="password">

    <!-- Password Validation messages -->
    <div class="invalid-feedback"
     *ngIf="(submitted && signupForm.controls.password.errors) || (!signupForm.controls.password.pristine && signupForm.controls.password.invalid)">
      <div *ngIf="signupForm.controls.password.errors!.required">Password is required</div>
      <div *ngIf="signupForm.controls.password.errors!.minlength">Minimum 8 characters required</div>
    </div><br>


    <!-- Buttons Area -->
    <button class="Button Signup"  type="submit">  Sign-up </button>
    <button class="Button Cancel" type="button" (click)="redirect()"> Cancel </button>
  </form>
</div>
